--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns the PropertySet representing the fields in the Collection scope
- !ruby/struct:SM::Flow::P 
  body: "@return [PropertySet]"
- !ruby/struct:SM::Flow::VERB 
  body: "  The set of properties this Collection's query will retrieve\n"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Collection#properties
is_singleton: false
name: properties
params: ()
visibility: public
